import 'dart:convert';

class StatisticsGlobalData {
  final int totalCount;
  final DateTime lastScrobble;

  const StatisticsGlobalData({
    required this.totalCount,
    required this.lastScrobble,
  });

  factory StatisticsGlobalData.fromJson(Map<String, dynamic> json) {
    return StatisticsGlobalData(
      totalCount: json['totalCount'] != null ? json['totalCount'] as int : 0,
      lastScrobble: (json['lastScrobble'] != null && json['lastScrobble']['date'] != null)
          ? DateTime.parse(
              json['lastScrobble']['date'],
            )
          : DateTime.now(),
    );
  }

  factory StatisticsGlobalData.createEmpty() {
    return StatisticsGlobalData.fromJson({});
  }

  String toString() {
    Map<String, dynamic> map = {
      'totalCount': this.totalCount,
      'lastScrobble': {
        'date': this.lastScrobble.toString(),
      },
    };

    return jsonEncode(map);
  }
}
